# http://www.igvita.com/blog (Ilya Grigorik)

require 'canvas.rb'
require 'calendar.rb'

# First parameter: output filename, Second parameter: Date object for the month/year of the calendar view
pdfDoc = Canvas::CalendarView.new("my-calendar.pdf", Time.now)

# Load an array of images, provide full path, and the date (read exif from photo?)
images =  [['image1.jpg',  '2007-02-25'],
               ['image2.jpg', '2007-03-26']]  

# Insert the images into our calendar!
images.each { |image| pdfDoc.addImage(image[0], image[1]) }
pdfDoc.save